# $Revision: 1.98 $, $Date: 2008/12/12 10:47:41 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	libwww-perl
Summary:	libwww-perl - a simple and consistent API to the World-Wide Web
Summary(pl.UTF-8):	libwww-perl - prosty i logiczny API do WWW
Name:		perl-libwww
Version:	5.822
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	5b5856e0d61abb75fb5f52ed1678161f
URL:		http://search.cpan.org/dist/libwww-perl/
BuildRequires:	perl(Net::FTP) >= 2.58
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-HTML-Parser >= 3.33
BuildRequires:	perl-MIME-Base64 >= 2.1
BuildRequires:	perl-URI >= 1.10
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libnet
BuildRequires:	rpm-perlprov >= 4.1-13
Suggests:	perl-IO-Socket-SSL
Obsoletes:	perl-libwww-perl
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# modules not always required
%define	_noautoreq 'perl(HTML::Parse)' 'perl(HTML::FormatPS)' 'perl(HTML::FormatText)' 'perl(HTTP::GHTTP)' 'perl(IO::Socket::SSL)' 'perl(Mail::Internet)' 'perl(Authen::NTLM)'

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the
World-Wide Web. The main focus of the library is to provide classes
and functions that allow you to write WWW clients. The library also
contain modules that are of more general use and even classes that
help you implement simple HTTP servers.

%description -l pl.UTF-8
libwww-perl jest zbiorem modułów Perla, dostarczających prostego API
do WWW (World-Wide Web). Głównym zadaniem biblioteki jest
udostępnianie klas i funkcji, pozwalających na pisanie klientów WWW.
Biblioteka zawiera także moduły bardziej ogólnego przeznaczenia, a
nawet klasy, pozwalające na implementację prostego serwera HTTP.

%prep
%setup -q -n libwww-perl-%{version}

%build
yes | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

for file in GET HEAD POST; do
	ln -sf lwp-request $RPM_BUILD_ROOT%{_bindir}/$file
	rm -f $RPM_BUILD_ROOT%{_mandir}/man1/$file.1p
	echo '.so lwp-request.1p' > $RPM_BUILD_ROOT%{_mandir}/man1/$file.1p
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/File/*
%{perl_vendorlib}/HTML/*
%{perl_vendorlib}/HTTP/*
%{perl_vendorlib}/Net/*
%{perl_vendorlib}/LWP
%{perl_vendorlib}/WWW/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/[!B]*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-libwww.spec,v $
Revision 1.98  2008/12/12 10:47:41  radek
- version 5.822

Revision 1.97  2008/07/18 20:55:21  adamg
- updated to 5.813

Revision 1.96  2008-03-24 09:38:37  glen
- release 3

Revision 1.95  2008-03-24 09:35:57  glen
- suggests ssl module for https://

Revision 1.94  2008-03-24 09:06:07  glen
- adapter

Revision 1.93  2007-12-19 21:45:01  zbyniu
- up to 5.808

Revision 1.92  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.91  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.90  2006/01/30 16:52:09  migo
- up to 5.805

Revision 1.89  2005/05/11 00:24:09  pluto
- release 3 for Th.

Revision 1.88  2005/01/07 12:16:57  adamg
- release 2 (for fixed deps on ac-i386)

Revision 1.87  2004/12/17 17:18:53  radek
- version 5.803

Revision 1.86  2004/12/17 12:40:53  radek
- release 3: symlinks instead of copies

Revision 1.85  2004/12/17 10:49:12  radek
- release 2: _bindir/{GET,HEAD,POST} are back

Revision 1.84  2004/12/12 10:09:11  adamg
- updated to 5.802

Revision 1.83  2004/12/10 20:20:49  radek
- release 2: added -lwp_download_dest_dir_support.patch

Revision 1.82  2004/12/01 11:33:43  radek
- standarized Source0 URL

Revision 1.81  2004/11/13 22:50:04  adamg
- updated to 5.801

Revision 1.80  2004/11/03 22:30:57  paladine
- formatting

Revision 1.79  2004/07/25 18:38:57  qboosh
- updated to 5.800, added generic URL

Revision 1.78  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.77  2004/05/07 00:32:06  ankry
- rel. 2

Revision 1.76  2004/05/06 18:43:25  ankry
- fixed perl-devel BR

Revision 1.75  2004/05/04 13:36:35  ankry
- license fix, cosmetics

Revision 1.74  2004/04/13 11:51:49  adamg
- updated to 5.79

Revision 1.73  2004/04/08 05:57:30  adamg
- updated to 5.78

Revision 1.72  2004/04/07 10:54:44  adamg
- updated to 5.77

Revision 1.71  2003/12/07 20:12:43  migo
- up to 5.76
- fixed license

Revision 1.70  2003/10/28 19:07:20  migo
- new bcond style

Revision 1.69  2003/10/28 11:57:33  trojan
- updated to 5.75

Revision 1.68  2003/10/23 23:27:46  qboosh
- up to 5.74, updated deps

Revision 1.67  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.66  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.65  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.64  2003/05/25 06:25:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.63  2003/04/11 18:59:46  radek
- BR: perl-devel; do not BR: perl

Revision 1.62  2003/03/01 19:09:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.61  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.60  2003/02/19 15:27:21  ankry
- autoupdated to 5.69

Revision 1.59  2003/02/18 15:39:21  ankry
- massive attack: change CPAN URLs

Revision 1.58  2003/01/14 21:18:31  radek
- version 5.68
- provided informative summary, improved description
- added tests (default off due to problem with perl's *.ph files in Ac)

Revision 1.57  2002/12/27 23:58:58  radek
- release down to 1 and _noautoreq perl(Authen::NTLM)

Revision 1.56  2002/12/27 23:12:45  radek
- version 5.66

Revision 1.55  2002/09/10 22:27:33  qboosh
- removed Bundle::LWP(3) manual, release 5

Revision 1.54  2002/07/24 12:34:04  ankry
- restored accidentally removed contents of %{perl_sitelib}/WWW
- release 4

Revision 1.53  2002/07/24 00:26:34  ankry
- removed .pod and %{perl_sitelib}/Bundle/* files
- %{perl_sitelib}/WWW dir moved to perl
- release 3

Revision 1.52  2002/07/16 11:41:28  ankry
- translations, cleaning
- release 2

Revision 1.51  2002/07/11 13:00:58  qboosh
- new %doc, cosmetics

Revision 1.50  2002/07/11 08:00:42  depesz
- new version; should work; STBR

Revision 1.49  2002/05/11 14:28:16  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.48  2002/03/03 21:48:31  marcus
- rel.2.

Revision 1.47  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.46  2002/02/19 11:20:07  depesz
- typo

Revision 1.45  2002/02/19 11:12:26  depesz
- new version, STBR

Revision 1.44  2002/02/10 15:27:49  depesz
- adapterized

Revision 1.43  2002/01/18 02:14:35  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.42  2002/01/02 12:32:10  kloczek
- release 2: perl-libwww-perl added to Obsoletes for allow upgrade from MDK version.

Revision 1.41  2001/12/16 02:47:07  kloczek
- updated to 5.63 (bug fix release),
- removed outdated Digest-MD5 patch.

Revision 1.40  2001/11/28 08:26:43  qboosh
- force non-interactive building; NOTE: it wants Net::FTP newer than in perl-libnet-1.0703

Revision 1.39  2001/11/27 16:50:35  mis
- autoupdated to 5.61

Revision 1.38  2001/07/16 00:10:55  qboosh
- removed Bundle::* - we use rpm dependencies
- release 4

Revision 1.37  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.36  2001/04/30 22:49:45  baggins
- added Digest-Md5 patch

Revision 1.35  2001/04/30 16:05:28  kloczek
- added using %{rpmcflags} macro.

Revision 1.34  2001/04/17 12:18:58  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.33  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.32  2001/04/12 19:47:33  baggins
- added Net::HTTP to files

Revision 1.31  2001/04/12 12:46:21  mis
- autoupdated to 5.53

Revision 1.30  2001/04/05 01:15:41  qboosh
- removed rpmperl-automation-workaround patch, use noautoreq macro instead

Revision 1.29  2001/03/30 15:14:03  mis
- autoupdated to 5.52

Revision 1.28  2001/03/15 10:42:55  mis
- updated (by autoup) to 5.51

Revision 1.27  2001/02/11 17:51:22  depesz
- added workaround for rpm automation (some modules are NOT required for using
  this module!!!)
- removed several "BuildRequires" from spec. please. don't be smarter than
  author of the module. the module works just fine with shorter list of
  dependencies.

Revision 1.26  2001/02/01 18:55:25  kloczek
- release 2: added perl-HTTP-GHTTP to BuildRequires.

Revision 1.25  2001/01/26 04:16:09  kloczek
- updated to 5.50.

Revision 1.24  2001/01/25 20:03:47  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.23  2001/01/15 23:17:40  kloczek
- updated to 5.49.

Revision 1.22  2000/12/28 11:10:25  kloczek
- updated to 5.48,
- rebuild against perl 5.6 and use new rpm automation.

Revision 1.21  2000/08/27 22:10:03  kloczek
- release 2.

Revision 1.20  2000/06/09 07:23:46  kloczek
- added using %{__make} macro.

Revision 1.19  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.18  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.16  2000/02/17 20:16:46  pius
- updated to 5.47
- updated BuildRequires rules
- added missing dir in %files

Revision 1.15  1999/11/05 17:08:09  pius
- removed unneeded patch
- fixed BuildRequires rules

Revision 1.14  1999/10/30 15:29:45  pius
- added '%include /usr/lib/rpm/macros.perl'
- more BuildRequires rules
- other small fixes
- release++

Revision 1.13  1999/09/16 13:27:44  wiget
- added (Build)Requires: perl-URI

Revision 1.12  1999/09/15 02:23:07  wiget
- release++

Revision 1.11  1999/09/14 16:58:53  wiget
- fixed BuildRequires:

Revision 1.10  1999/08/28 12:10:10  wiget
- modified for perl 5.005_61

Revision 1.9  1999/07/26 09:26:33  misiek
- added missing translations

Revision 1.8  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.7  1999/07/20 12:43:13  baggins
- updated to 5.44

Revision 1.6  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.5  1999/07/13 10:28:19  wiget
- comented Requires: perl-Data-Dumper (Data-Dumper is in perl)

Revision 1.4  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).
